<template>
  <div class="tab">
    <el-radio-group v-model="type" style="margin-bottom: 30px" size="small" @change="changeParams">
      <el-radio-button :label="1">基础目标</el-radio-button>
      <el-radio-button :label="2">重点专项</el-radio-button>
      <el-radio-button :label="3">刚性约束</el-radio-button>
    </el-radio-group>
  </div>
</template>

<script>
export default {
  data() {
    return {
      type: 1,
    };
  },
  methods:{
    changeParams(){
      this.$emit('update:type',{type:this.type})
    }
  }
};
</script>

<style scoped>
.el-radio-button,
/deep/ .el-radio-button__inner {
  height: 35px;
  width: 100px;
  line-height: 14px;
  font-size: 14px;
}
.el-radio-group{
  margin-bottom: 10px!important;
}
</style>